sys-apps/
fwupd

Aims to make updating firmware on Linux automatic, safe and reliable

https://fwupd.org

Pkgcheck Warnings

  • All Versions
    • UnstableOnly
      for arches: [ arm, arm64, ppc64 ], all versions are unstable: [ 1.5.9-r1, 1.6.2, 1.6.3, 1.6.4-r1, 1.7.0 ]
  • 1.7.0
    • RequiredUseDefaults
      profile: 'default/linux/amd64/17.0/x32' (23 total) failed REQUIRED_USE: exactly-one-of ( elogind minimal systemd )
  • 1.6.4-r1
    • RedundantVersion
      slot(0) keywords are overshadowed by version: 1.7.0
    • RequiredUseDefaults
      profile: 'default/linux/amd64/17.0/x32' (23 total) failed REQUIRED_USE: exactly-one-of ( elogind minimal systemd )
  • 1.6.3
    • RedundantVersion
      slot(0) keywords are overshadowed by versions: 1.6.4-r1, 1.7.0
    • RequiredUseDefaults
      profile: 'default/linux/amd64/17.0/x32' (23 total) failed REQUIRED_USE: exactly-one-of ( elogind minimal systemd )
    • StableRequest
      slot(0) no change in 69 days for unstable keywords: [ ~amd64, ~x86 ]
    • UnusedInherits
      unused eclass: toolchain-funcs
  • 1.6.2
    • RedundantVersion
      slot(0) keywords are overshadowed by versions: 1.6.3, 1.6.4-r1, 1.7.0
    • RequiredUseDefaults
      profile: 'default/linux/amd64/17.0/x32' (21 total) failed REQUIRED_USE: exactly-one-of ( elogind minimal systemd )
    • UnusedInherits
      unused eclass: toolchain-funcs
  • 1.5.9-r1
    • PotentialStable
      slot(0), stabled arches: [ amd64, x86 ], potentials: [ ~arm, ~arm64, ~ppc64 ]
    • PythonCompatUpdate
      PYTHON_COMPAT update available: python3_10
    • RequiredUseDefaults
      profile: 'default/linux/amd64/17.0/x32' (33 total) failed REQUIRED_USE: exactly-one-of ( elogind minimal systemd )
    • UnusedInherits
      unused eclass: toolchain-funcs

Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.